Rapid7 Vulnerability & Exploit Database

RHSA-2008:0815: yum-rhn-plugin security update

Back to Search

RHSA-2008:0815: yum-rhn-plugin security update

Severity
3
CVSS
(AV:N/AC:H/Au:N/C:N/I:P/A:N)
Published
08/18/2008
Created
07/25/2018
Added
09/09/2008
Modified
07/04/2017

Description

The yum-rhn-plugin provides support for yum to securely access a Red HatNetwork (RHN) server for software updates.It was discovered that yum-rhn-plugin did not verify the SSL certificatefor all communication with a Red Hat Network server. An attacker able toredirect the network communication between a victim and an RHN server coulduse this flaw to provide malicious repository metadata. This metadata couldbe used to block the victim from receiving specific security updates.(CVE-2008-3270)This flaw did not allow an attacker to install malicious packages. Packagesignatures were verified and only packages signed with a trusted Red HatGPG key were installed.Red Hat would like to thank Justin Cappos and Justin Samuel for discussingvarious package update mechanism flaws which led to our discovery of thisissue.Users of yum-rhn-plugin are advised to upgrade to this updated packages,which resolves this issue.

Solution(s)

  • redhat-upgrade-yum-rhn-plugin

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;